Skip to main content
GET
/
v1
/
actions
/
{id}
Show
curl --request GET \
  --url https://api.incident.io/v1/actions/{id} \
  --header 'Authorization: Bearer <token>'
{
  "action": {
    "assignee": {
      "email": "lisa@incident.io",
      "id": "01FCNDV6P870EA6S7TK1DSYDG0",
      "name": "Lisa Karlin Curtis",
      "role": "viewer",
      "slack_user_id": "U02AYNF2XJM"
    },
    "completed_at": "2021-08-17T13:28:57.801578Z",
    "created_at": "2021-08-17T13:28:57.801578Z",
    "description": "Call the fire brigade",
    "external_issue_reference": {
      "issue_name": "INC-123",
      "issue_permalink": "https://linear.app/incident-io/issue/INC-1609/find-copywriter-to-write-up",
      "provider": "asana"
    },
    "follow_up": true,
    "id": "01FCNDV6P870EA6S7TK1DSYDG0",
    "incident_id": "01FCNDV6P870EA6S7TK1DSYDG0",
    "status": "outstanding",
    "updated_at": "2021-08-17T13:28:57.801578Z"
  }
}

Authorizations

Authorization
string
header
required

API key from your incident.io dashboard (Settings → API keys)

Path Parameters

id
string
required

Unique identifier for the action

Example:

"01FCNDV6P870EA6S7TK1DSYDG0"

Response

200 - application/json

OK response.

action
object
required
Example:
{
  "assignee": {
    "email": "lisa@incident.io",
    "id": "01FCNDV6P870EA6S7TK1DSYDG0",
    "name": "Lisa Karlin Curtis",
    "role": "viewer",
    "slack_user_id": "U02AYNF2XJM"
  },
  "completed_at": "2021-08-17T13:28:57.801578Z",
  "created_at": "2021-08-17T13:28:57.801578Z",
  "description": "Call the fire brigade",
  "external_issue_reference": {
    "issue_name": "INC-123",
    "issue_permalink": "https://linear.app/incident-io/issue/INC-1609/find-copywriter-to-write-up",
    "provider": "asana"
  },
  "follow_up": true,
  "id": "01FCNDV6P870EA6S7TK1DSYDG0",
  "incident_id": "01FCNDV6P870EA6S7TK1DSYDG0",
  "status": "outstanding",
  "updated_at": "2021-08-17T13:28:57.801578Z"
}